#
# Conditional build:
#
%define		_state		stable
%define		kdever		4.8.0
%define		qtver		4.8.0
%define		orgname		kdevelop
%define		kdevplatform	1.5.1

Summary:	KDE Integrated Development Environment
Summary(de.UTF-8):	KDevelop ist eine grafische Entwicklungsumgebung für KDE
Summary(pl.UTF-8):	Zintegrowane środowisko programisty dla KDE
Summary(pt_BR.UTF-8):	Ambiente Integrado de Desenvolvimento para o KDE
Summary(zh_CN.UTF-8):	KDE C/C++集成开发环境
Name:		kde4-kdevelop
Version:	4.5.1
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	9356d8faa06a027fb6854391b03ba4bd
URL:		http://www.kdevelop.org/
BuildRequires:	QtHelp-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdesdk-devel >= %{kdever}
BuildRequires:	kde4-kdevplatform-devel >= %{kdevplatform}
BuildRequires:	libstdc++-devel >= 3.3
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	zlib-devel >= 1.2.0
BuildConflicts:	star
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         filterout       -flto

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to
programs like gdb, the C/C++ compiler, and make.

KDevelop manages or provides: all development tools needed for C++
programming like Compiler, Linker, automake and autoconf; KAppWizard,
which generates complete, ready-to-go sample applications;
Classgenerator, for creating new classes and integrating them into the
current project; File management for sources, headers, documentation
etc. to be included in the project; The creation of User-Handbooks
written with SGML and the automatic generation of HTML-output with the
KDE look and feel; Automatic HTML-based API-documentation for your
project's classes with cross-references to the used libraries;
Internationalization support for your application, allowing
translators to easily add their target language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%description -l de.UTF-8
KDevelop ist eine grafische Entwicklungsumgebung für KDE.

Das KDevelop-Projekt wurde 1998 begonnen, um eine einfach zu
bedienende grafische (integrierte) Entwicklungsumgebung für C++ und C
auf Unix-basierten Betriebssystemen bereitzustellen. Seit damals ist
die KDevelop-IDE öffentlich unter der GPL erhältlich und unterstützt
u. a. Qt-, KDE-, GNOME-, C++- und C-Projekte.

%description -l pl.UTF-8
KDevelop to zintegrowane środowisko programistyczne dla KDE, dające
wiele możliwości przydatnych programistom oraz zunifikowany interfejs
do programów typu gdb, kompilator C/C++ oraz make.

KDevelop obsługuje lub zawiera: wszystkie narzędzia programistyczne
potrzebne do programowania w C++ jak kompilator, linker, automake,
autoconf; KAppWizard, generujący kompletne, gotowe do uruchomienia,
proste aplikacje; Classgenerator do tworzenia nowych klas i włączania
ich do projektu; zarządzanie plikami źródłowymi, nagłówkowymi,
dokumentacją itp.; tworzenie podręczników użytkownika pisanych w SGML
i automatyczne generowanie wyjścia HTML pasującego do KDE;
automatyczne tworzenie dokumentacji API w HTML do klas projektu z
odniesieniami do używanych bibliotek; wsparcie dla
internacjonalizacji, pozwalające tłumaczom łatwo dodawać pliki z
tłumaczeniami do projektu.

KDevelop ma także tworzenie interfejsów użytkownika przy użyciu
edytora dialogów WYSIWYG; odpluskwianie aplikacji poprzez integrację z
KDbg; edycję ikon przy pomocy KIconEdit; dołączanie innych programów
potrzebnych do programowania przez dodanie ich do menu Tools według
własnych potrzeb.

%package devel
Summary:	kdevelop - header files and development documentation
Summary(pl.UTF-8):	kdevelop - pliki nagłówkowe i dokumentacja
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files and development documentation for
kdevelop.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i dokumentację potrzebną przy
pisaniu własnych programów wykorzystujących kdevelop.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install app/kdevelop.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{orgname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_mime_database
%update_desktop_database

%postun
/sbin/ldconfig
%update_mime_database
%update_desktop_database_postun

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdevelop
%attr(755,root,root) %{_bindir}/kdevelop!
%attr(755,root,root) %{_libdir}/kde4/kcm_kdev_makebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kdev_cmakebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kdevcmake_settings.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kdevcustombuildsystem.so
%attr(755,root,root) %{_libdir}/kde4/kdevastyle.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakedocumentation.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakemanager.so
%attr(755,root,root) %{_libdir}/kde4/kdevcpplanguagesupport.so
%attr(755,root,root) %{_libdir}/kde4/kdevcustombuildsystem.so
%attr(755,root,root) %{_libdir}/kde4/kdevcustommakemanager.so
%attr(755,root,root) %{_libdir}/kde4/kdevcustomscript.so
%attr(755,root,root) %{_libdir}/kde4/kdevexecuteplasmoid.so
%attr(755,root,root) %{_libdir}/kde4/kdevgdb.so
%attr(755,root,root) %{_libdir}/kde4/kdevokteta.so
%attr(755,root,root) %{_libdir}/kde4/kdevmakebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kdevmanpage.so
%attr(755,root,root) %{_libdir}/kde4/kdevqthelp.so
%attr(755,root,root) %{_libdir}/kde4/kdevqthelp_config.so
%attr(755,root,root) %{_libdir}/kde4/kdevkdeprovider.so
%attr(755,root,root) %{_libdir}/kde4/krunner_kdevelopsessions.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_kdevelopsessions.so
%attr(755,root,root) %{_libdir}/libkdev4cmakecommon.so
%attr(755,root,root) %{_libdir}/libkdev4cppduchain.so
%attr(755,root,root) %{_libdir}/libkdev4cppparser.so
%attr(755,root,root) %{_libdir}/libkdev4cpprpp.so
%{_datadir}/apps/kdevappwizard
%{_datadir}/apps/kdevcmakebuilder
%{_datadir}/apps/kdevcmakemanager
%{_datadir}/apps/kdevcodegen/templates/*
%{_datadir}/apps/kdevcustommakemanager
%{_datadir}/apps/kdevelop
%{_datadir}/apps/kdevfiletemplates/templates/*
%dir %{_datadir}/apps/kdevgdb
%{_datadir}/apps/kdevgdb/kdevgdbui.rc
%dir %{_datadir}/apps/kdevgdb/printers
%{_datadir}/apps/kdevgdb/printers/gdbinit
%{_datadir}/apps/kdevgdb/printers/qt4.py
%{_datadir}/apps/kdevgdb/printers/kde4.py
%{_datadir}/apps/kdevgdb/printers/libstdcxx.py
%{_datadir}/apps/kdevokteta
%{_datadir}/apps/plasma/plasmoids/kdevelopsessions
%{_datadir}/apps/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_datadir}/config/kdeveloprc
%{_datadir}/config/kdevelop-qthelp.knsrc
%dir %{_datadir}/apps/kdevcppsupport
%{_datadir}/apps/kdevcppsupport/kdevcppsupport.rc
%{_datadir}/kde4/services/kcm_kdev_cmakebuilder.desktop
%{_datadir}/kde4/services/kcm_kdev_makebuilder.desktop
%{_datadir}/kde4/services/kcm_kdevcmake_settings.desktop
%{_datadir}/kde4/services/kcm_kdevcustombuildsystem.desktop
%{_datadir}/kde4/services/kdevastyle.desktop
%{_datadir}/kde4/services/kdevcmakebuilder.desktop
%{_datadir}/kde4/services/kdevcmakedocumentation.desktop
%{_datadir}/kde4/services/kdevcmakemanager.desktop
%{_datadir}/kde4/services/kdevcustombuildsystem.desktop
%{_datadir}/kde4/services/kdevcustomscript.desktop
%{_datadir}/kde4/services/kdevcppsupport.desktop
%{_datadir}/kde4/services/kdevcustommakemanager.desktop
%{_datadir}/kde4/services/kdevexecuteplasmoid.desktop
%{_datadir}/kde4/services/kdevgdb.desktop
%{_datadir}/kde4/services/kdevmakebuilder.desktop
%{_datadir}/kde4/services/kdevmanpage.desktop
%{_datadir}/kde4/services/kdevokteta.desktop
%{_datadir}/kde4/services/kdevqthelp.desktop
%{_datadir}/kde4/services/kdevqthelp_config.desktop
%{_datadir}/kde4/services/kdevelopsessions.desktop
%{_datadir}/kde4/services/kdevkdeprovider.desktop
%{_datadir}/kde4/services/plasma-applet-kdevelopsessions.desktop
%{_datadir}/kde4/services/plasma-dataengine-kdevelopsessions.desktop
%{_datadir}/mime/packages/kdevelop.xml
%{_desktopdir}/kdevelop.desktop
%{_desktopdir}/kde4/kdevelop.desktop
%{_desktopdir}/kde4/kdevelop_ps.desktop
%{_iconsdir}/*/*x*/*/*.png
%{_includedir}/kdevelop

%files devel
%defattr(644,root,root,755)
%{_datadir}/apps/cmake/modules/FindKDevelop.cmake
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdevelop.git;a=log;h=master

* Sun Jul 21 2013 Bartek Szady <bszx@pld-linux.org> c12cb48
- updated to 4.5.1

* Mon May 06 2013 Bartek Szady <bszx@bszx.eu.org> 64fc804
- updated to 4.5.0

* Tue Mar 05 2013 Jan Rękorajski <baggins@pld-linux.org> 8b5010c
- up to 4.4.1

* Thu Oct 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 3c159b1
- small %%files update (there's few plasma addons to package).

* Thu Oct 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 0f5aae3
- updated to 4.4.0.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 69cc443
- fix build with okteta/kasten v[0..2], release 2 for rebuild with kde4-kdesdk-4.9.0.

* Sat Jun 23 2012 Paweł Sikora <pluto@pld-linux.org> 32e6ee0
- updated to 4.3.1 (bugfixes).

* Tue Mar 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fad8056
- obsolete

* Tue Mar 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ced0061
- up to 4.3.0

* Wed Jan 25 2012 Paweł Sikora <pluto@pld-linux.org> 8863a4d
- allow relative paths in .kdev_include_paths (backport from mainstream / https://bugs.kde.org/show_bug.cgi?id=282242).
  release 4.

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> 8ae6555
- fix okteta plugins build, release 3.

* Sat Jan 21 2012 lmasko <lmasko@pld-linux.org> 09528c0
- Some files were missing. I've commented them out to have the package built.

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 52f4fa8
- release 2

* Thu Jun 30 2011 Andrzej Augustyński <august84@pld-linux.org> 5b7dbe8
- up to 4.2.3

* Fri Apr 08 2011 Andrzej Augustyński <august84@pld-linux.org> 5eeade4
- up to 4.2.2

* Thu Jan 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ed78a1
- rel 3; force proper kdesdk-devel

* Thu Jan 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a7e202
- release 2

* Tue Jan 25 2011 Andrzej Augustyński <august84@pld-linux.org> 05f256a
- up to 4.2.0
- adjusted to new cmake macro
- okteta/kasten extra features

* Mon Dec 20 2010 shadzik <shadzik@pld-linux.org> fe7c555
- 4.1.80
- Dedication: dla vipa, no bo vip nie musi sam klepać speców, robią to jego przydupasy :)

* Fri Dec 03 2010 Robert Tomasik <rotom@pld-linux.org> cd7367f
- 4.1.1

